function [DSP,f]=compute_dsp(x,Fs)
% Cette fonction estime la densite spectrale de puissance du signal
% x echantillonne a la frequence d'echantillonnage Fs
%
%
% x : signal d'entre
% Fs : frequence d'echantillonnage
%
% DSP : densite spectrale de puissance estimee
% f : vecteur frequence associ

N=length(x);

N_T=10*Fs;
t=1:N_T;
nfft=4096;

K=1;
DSP=abs(fft(x(t),nfft)).^2;
while max(t)+N_T/2<N
    t=t+N_T/2;
    DSP=DSP+abs(fft(x(t),nfft)).^2;
    K=K+1;
end

DSP=fftshift(DSP/(K*N_T*Fs));


f=(0:nfft-1)'*Fs/nfft;
f(f>=Fs/2)=f(f>=Fs/2)-Fs;
f=fftshift(f);

figure
plot(f,10*log10(DSP))
title('Densit spectrale de puissance \Gamma_x(f)')
ylabel('Dcibels (dB)')
xlabel('Frquence (Hz)')